{
    attributes = (
        {
            columnName = "CTYP_CLASSE_JAVA"; 
            externalType = VARCHAR2; 
            name = ctypClasseJava; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            columnName = "CTYP_CODE"; 
            externalType = VARCHAR2; 
            name = ctypCode; 
            valueClassName = NSString; 
            width = 64; 
        }, 
        {
            columnName = "CTYP_ID"; 
            externalType = NUMBER; 
            name = ctypId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CTYP_LIBELLE"; 
            externalType = VARCHAR2; 
            name = ctypLibelle; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }
    ); 
    attributesUsedForLocking = (ctypId); 
    cachesObjects = Y; 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOTypeCalcul"; 
    classProperties = (ctypClasseJava, ctypCode, ctypLibelle, dCreation, dModification); 
    externalName = "HAMAC.TYPE_CALCUL"; 
    fetchSpecificationDictionary = {}; 
    isReadOnly = Y; 
    name = TypeCalcul; 
    primaryKeyAttributes = (ctypId); 
}
